PHP Manual
Prev |  | Next

# DOMDocument->createProcessingInstruction()

(no version information, might be only in CVS)

DOMDocument->createProcessingInstruction() -- Creates new PI node

## Description

class DOMDocument {
DOMProcessingInstruction createProcessingInstruction ( string target [, string data] )
}

This function creates a new instance of class DOMProcessingInstruction. This node will not show up in the document unless it is inserted with e.g. DOMNode->appendChild().

## Parameters

target

  The target of the processing instruction.

data

  The content of the processing instruction.

## Return Values

The new DOMProcessingInstruction or `FALSE` if an error occured.

## Exceptions

`DOM_INVALID_CHARACTER_ERR`

  Raised if target contains an invalid character.

## See Also

DOMNode->appendChild()
DOMDocument->createAttribute()
DOMDocument->createAttributeNS()
DOMDocument->createCDATASection()
DOMDocument->createComment()
DOMDocument->createDocumentFragment()
DOMDocument->createElement()
DOMDocument->createElementNS()
DOMDocument->createEntityReference()
DOMDocument->createTextNode()

Prev | Home | Next
DOMDocument->createEntityReference() | Up | DOMDocument->createTextNode()